<doctrine-mapping>
	<entity repository-class="App\Repository\TaskRepository" name="App\Entity\TaskEntity" table="task">
		<id name="id" type="string" column="id" length="8" />
		<field name="name" type="string" column="name" length="256"/>
		<field name="planifiedDate" type="date" column="planifiedDate" nullable="true"/>
		<field name="executionDate" type="date" column="executionDate" nullable="true"/>
		<many-to-one field="actor" target-entity="ActorEntity" nullable="true">
			<join-column name="actor" referenced-column-name="id" on-delete="SET NULL"/>
		</many-to-one>
		<many-to-one field="activity" target-entity="ActivityEntity" nullable="true">
			<join-column name="activity" referenced-column-name="id" on-delete="CASCADE"/>
		</many-to-one>
		<field name="status" type="string" column="status" length="256"/>
	</entity>
</doctrine-mapping>